function str2integer( str )
{
	var matches = str.match( /\-?[\d\.]+[:,]?\d*/ );
	return matches ? Math.round( matches.join('').replace( /\./, '' ).replace( /[,:]/, '.' ) ) : 0;
}

function doSearch()
{
	if ( arguments.length == 1 )
	{
		var str = arguments[0];
	}
	else if ( arguments[1].indexOf(' ') >= 0 )
	{
		var str = arguments[0] + ':"' + arguments[1] + '"';
	}
	else
	{
		var str = arguments[0] + ':' + arguments[1];
	}

	$('#searchfield').val( str ).parents('form').submit();
	return false;
}

$( function(){

	$('body').addClass( 'ontouchstart' in window ? 'has-touch' : 'no-touch' );
		
	$('#lb_btn_add_link').click( function(){
		$('#lb_button').toggleClass('wait');
		$.get( $(this).data('url'), function( data ){
			if ( data.indexOf( '|' ) != -1 )
			{
				$('#lb_button').toggleClass('wait');
				$('#lb_button').toggleClass('remove');
				$('.lbcount').text( data.split('|')[3] );
			}
		});
	});

	$('#lb_btn_remove_link').click( function(){
		$('#lb_button').toggleClass('wait');
		$.get( $(this).data('url'), function( data ){
			if ( data.indexOf( '|' ) != -1 )
			{
				$('#lb_button').toggleClass('wait');
				$('#lb_button').toggleClass('remove');
				$('.lbcount').text( data.split('|')[3] );
			}
		});
	});

	$( "#product_chooser" ).dialog({
		autoOpen: false,
		position: { my:'top', at:'top+20px', of:'#content' },
		height: 400,
		width: 500,
		show: { effect: "slideDown", duration: 400 },
		hide: { effect: "slideUp", duration: 400 },
		modal: true,
		buttons: [
			{ text: idiom['s_btn_close'], click: function(){ $(this).dialog('close'); } }
		]
	});

	$('#btn_buy').click( function(){
		$('#product_chooser').data('count') == '1' ? $('.product_row').first().click() : $('#product_chooser').dialog('open');
	});

	$('#dlg_add').dialog({
		autoOpen: false,
		height: 220,
		width: 350,
		modal: true,
		show: { effect: 'slideDown', duration: 300 },
		hide: { effect: 'slideUp', duration: 300 },
		buttons: [
			{ text: idiom['s_btn_cancel'], click: function(){ $(this).dialog('close'); } },
			{ text: idiom['s_btn_into_cart'], click: function(){ $('#dlg_add form').submit(); } }
		]
	});

	$('#dlg_change').dialog({
		autoOpen: false,
		height: 220,
		width: 350,
		modal: true,
		show: { effect: 'slideDown', duration: 300 },
		hide: { effect: 'slideUp', duration: 300 },
		buttons: [
			{ text: idiom['s_btn_cancel'], click: function(){ $(this).dialog('close'); } },
			{ text: idiom['s_btn_proceed'], click: function(){ $('#dlg_change form').submit(); } }
		]
	});

	$('#dlg_alert').dialog({
		autoOpen: false,
		height: 220,
		width: 350,
		modal: true,
		show: { effect: "slideDown", duration: 300 },
		hide: { effect: "slideUp", duration: 300 },
		buttons: [
			{ text: idiom['s_btn_cancel'], click: function(){ $(this).dialog('close'); } },
			{ text: idiom['s_navi_cart'], click: function(){ $('#dlg_alert form').submit(); } }
		]
	});

	$('#dlg_add, #dlg_change, #dlg_alert').submit( function(){
		var elm = $(this).find('input[name=quantity]:visible');

		if ( elm.length )
		{
			elm.val( str2integer( elm.val() ) );

			if ( str2integer( elm.val() ) <= 0 )
			{
				elm.focus().select();
				return false;
			}
		}

		$(this).dialog( 'option', 'buttons', [ { text: idiom['s_msg_0020'] + '...', click: function(){} } ] );
		return true;
	});

	$('.infobutton').click( function(){
		window.open( 'index.php?-met=prodinfo&p=' + $(this).data('id'), 'ProductInfo', 'toolbar=no,width=500,height=400,dependent=yes,top=200,left=200,scrollbars=yes,location=no,status=no,resizable=yes');
		return false;
	});

	$('.product_row').click( function(){
		if ( $(this).data('quantity') > 0 )
		{
			if ( $(this).data('type') == 'Print' )
			{
				$( '#dlg_change input[name=product]' ).val( $(this).data('id') );
				$( '#dlg_change p:first-child' ).text( $(this).data('name') + ' (' + $(this).data('price') + ')' );
				$( '#dlg_change' ).dialog( 'open' );
				$( '#dlg_change input[name=quantity]' ).val( $(this).data('quantity') ).focus().select();
			}
			else
			{
				$( '#dlg_alert > p' ).text( $(this).data('name') + ' (' + $(this).data('price') + ')' );
				$( '#dlg_alert' ).dialog( 'open' );
			}
		}
		else
		{
			$( '#dlg_add input[name=product]' ).val( $(this).data('id') );
			$( '#dlg_add_product' ).text( $(this).data('name') + ' (' + $(this).data('price') + ')' );
			$(this).data('info') == '1' ? $('#dlg_add_btn_info').data( 'id', $(this).data('id') ).show() : $('#dlg_add_btn_info').hide();
			$( '#dlg_add' ).dialog( 'open' );

			if ( $(this).data('type') == 'Print' )
			{
				$( '#dlg_add input[name=quantity]' ).select().parent().show();
			}
			else
			{
				$( '#dlg_add input[name=quantity]' ).parent().hide();
				$( '#dlg_add' ).parent().find('button:nth-child(2)').focus();
			}
		}
		return false;
	});

});
