function open_order_dialog( url ){
	$('#add-to-cart').load( url, function(){
		if ( $(this).find('form[name=anmeldung]').length && reloginUrl ){
			window.location.href = reloginUrl;
			return;
		}
		$('#add-to-cart').modal('show');
		$('.modal-backdrop').css( 'z-index', '9050' );
	});
}

function update_order_row( row, count, price, netprice ){
	if ( count > 0 ){
		row.find('td').addClass('table-warning');
		row.find('.btn-minus').prop( 'disabled', false );
		row.find('.btn-plus').prop( 'disabled', row.data('type') == 'Datei' );
	}
	else {
		row.find('td').removeClass('table-warning');
		row.find('.btn-minus').prop( 'disabled', true );
		row.find('.btn-plus').prop( 'disabled', false );
	}
	row.data( 'quantity', count );
	row.find('.quantity').text( count );
	price ? row.find('.price').text( price ) : null;
	netprice ? row.find('.netprice').text( netprice ) : null;
	$('#gotoCart').toggle( $('#add-to-cart .table-warning').length > 0 );
}

$(document).ready( function(){

   $('body').append('<div id="add-to-cart" class="modal fade" role="dialog" style="z-index:9051;"></div>');
   $('body').append('<div id="product-info" class="modal fade" role="dialog" style="z-index:9151;"></div>');

   $('#add-to-cart').on( 'click', '.btn-prod-info', function(){
      if ( ! urlProductInfo ){
         return;
      }
      var url = urlProductInfo + '&amp;p=' + $(this).parents('.pxtc-product').data('id');
      $('#product-info').load( url, function(){
         if ( $(this).find('form[name=anmeldung]').length && reloginUrl ){
            window.location.href = reloginUrl;
            return;
         }
         $('#product-info').modal('show');
         $('.modal-backdrop').last().css( 'z-index', '9150' );
      });
   });

   $('#product-info').on( 'hidden.bs.modal', function (){
      // Restore modal-open class which gets removed when closing overlay
      $('body').addClass('modal-open');
   })

   $('#add-to-cart').on( 'click', '.btn-minus, .btn-plus', function(){
      $(this).blur();
		var row = $(this).parents('tr');
		var form = row.find('form');
      var quantity = 1 * row.data('quantity') + ( $(this).hasClass('btn-minus') ? -1 : 1 );
		form.find('input[name=q]').val( quantity );
		if ( $(this).parents('.modal-dialog').data('type') == 'lightbox' ){
			update_order_row( $(this).parents('tr'), quantity );
			return;
		}

		$.ajax({
         type: 'GET',
         url: form.attr('action'),
         data: form.serialize(),
         success: function( data ){
				if ( ! data.productId ){
					console.log( data );
					return;
				}
				
				if ( data.itemId && data.itemId < 0 ){
					alert( data.itemId = -1 ? errorMaxItems : errorDefault + ' (' + data.itemId + ')' );
					return;
				}

				var row = $( 'tr[data-id=' + data.productId + ']' );
				
				if ( row.length ){
					update_order_row( row, data.itemCount, data.itemPrice, data.itemNetprice );
				}

				if ( handle_cart_change ){
					handle_cart_change( data.imageId, data.inCartStatus != '', data.cartCount );
				}
         },
         error: function(data)
         {
            console.log('Error when changing cart');
            console.log( data );
         }
      });
   });

	$('body').on( 'submit', '#lightbox-order', function(){
		var products = [];
		$('.orderform').each( function(){
			products.push( { id: $(this).find('input[name=item]').val(), quantity: $(this).find('input[name=q]').val() } );
		});
		$(this).find('input[name=products]').val( JSON.stringify( products ) );
	});

});
