function my_dialog( message ){
	// Usage: my_dialog( message [, defaultAnswer] [, allowCancel] [, callback] )
	var callback, allowCancel, defaultAnswer;
	var args = Array.from( arguments );
	args.shift();
	args.forEach( function( arg ){
		if ( typeof arg == 'function' ){
			callback = arg;
		}
		else if ( typeof arg == 'boolean' ){
			allowCancel = arg;
		}
		else if ( typeof arg == 'string' ){
			defaultAnswer = arg;
		}
	});
	if ( defaultAnswer != null ){
		var result = prompt( message, arguments[1] ? arguments[1] : '' );
		result != null && callback ? callback( result ) : null;
		return result;
	}
	if ( allowCancel ){
		var result = confirm( message );
		result && callback ? callback() : null;
		return result;
	}
	alert( message );
	callback ? callback() : null;
}

$(document).ready( function(){
	$('body').on( 'click', 'a[href][data-confirm], button[data-href][data-confirm], input[type=button][data-href][data-confirm]', function(){
		var url = $(this).attr('href') ? $(this).attr('href') : $(this).attr('data-href');
		var target = $(this).attr('target') == '_top' ? top : self;
		if ( $(this).data('confirm') == '' ){
			target.location.href = url;
			return false;
		}
		my_confirm( $(this).data('confirm'), function(){
			target.location.href = url;
		})
		return false;
	});
});
